Get CRC of the entry

- « RarEntry::getAttr

- RarEntry::getFileTime »

- PHP Manual
- RarEntry
- Get CRC of the entry

# RarEntry::getCrc

(PECL rar >= 0.1)

RarEntry::getCrc — Get CRC of the entry

### Description

public RarEntry::getCrc(): string

Returns an hexadecimal string representation of the CRC of the archive entry.

### Parameters

This function has no parameters.

### Return Values

Returns the CRC of the archive entry or `false` on error.

### Changelog

Version | Description
--- | ---
PECL rar 2.0.0 | This method now returns correct values for multiple volume archives.